<?xml version="1.0" encoding="utf-8"?>
<android.support.constraint.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="#000000"
    tools:context=".activity.ActCutVideo">

    <VideoView
        android:id="@+id/media_videoView"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintTop_toTopOf="parent" />

    <View
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:background="#99000000" />

    <com.github.ybq.android.spinkit.SpinKitView
        android:id="@+id/media_video_loading"
        style="@style/SpinKitView.Large.ThreeBounce"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        app:SpinKit_Color="@color/media_colorAccent"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent" />

    <ImageView
        android:id="@+id/media_video_back_iv"
        android:layout_width="?attr/actionBarSize"
        android:layout_height="?attr/actionBarSize"
        android:layout_marginTop="20dp"
        android:onClick="onClickBackImg"
        android:scaleType="centerInside"
        android:src="@drawable/media_narrow_back_white"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent" />

    <TextView
        android:id="@+id/media_edit_video_topic_tv"
        android:layout_width="0dp"
        android:layout_height="30dp"
        android:background="@drawable/media_shape_white_20_solid_rectangle_15"
        android:gravity="center|start"
        android:maxLength="100"
        android:onClick="onClickTopic"
        android:paddingStart="18dp"
        android:paddingEnd="18dp"
        android:text="#添加话题#"
        android:textColor="#FEFFFF"
        android:textSize="13sp"
        app:layout_constraintBottom_toBottomOf="@id/media_video_back_iv"
        app:layout_constraintEnd_toStartOf="@id/media_edit_video_sure_tv"
        app:layout_constraintStart_toEndOf="@id/media_video_back_iv"
        app:layout_constraintTop_toTopOf="@id/media_video_back_iv" />

    <TextView
        android:id="@+id/media_edit_video_sure_tv"
        android:layout_width="75dp"
        android:layout_height="wrap_content"
        android:layout_marginStart="31dp"
        android:layout_marginEnd="16dp"
        android:background="@drawable/media_selector_button_full_main"
        android:gravity="center"
        android:onClick="onClickSure"
        android:paddingTop="6dp"
        android:paddingBottom="6dp"
        android:text="下一步"
        android:textColor="#FEFFFF"
        android:textSize="15sp"
        app:layout_constraintBottom_toBottomOf="@id/media_video_back_iv"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toEndOf="@id/media_edit_video_topic_tv"
        app:layout_constraintTop_toTopOf="@id/media_video_back_iv" />

    <FrameLayout
        android:id="@+id/media_frame_container"
        android:layout_width="match_parent"
        android:layout_height="0dp"
        android:layout_marginTop="27dp"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintTop_toBottomOf="@id/media_edit_video_topic_tv" />

    <com.kfzs.cfyl.media.customview.VideoFramesView
        android:id="@+id/media_videoFramesView"
        android:layout_width="match_parent"
        android:layout_height="69dp"
        android:layout_marginStart="36dp"
        android:layout_marginEnd="36dp"
        android:layout_marginBottom="17dp"
        app:layout_constraintBottom_toBottomOf="parent" />

    <TextView
        android:id="@+id/media_edit_video_time_tv"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginStart="15dp"
        android:layout_marginBottom="100dp"
        android:text="@string/media_has_choose_x_second"
        android:textColor="#ffffffff"
        android:textSize="12sp"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintStart_toStartOf="parent" />
</android.support.constraint.ConstraintLayout>